tigase.jaxmpp.gwt.client

## Class GWTPresenceStore

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceStore
  - - tigase.jaxmpp.gwt.client.GWTPresenceStore

- All Implemented Interfaces:
    Property, JsonSerializationHelper.Serializable

      public class GWTPresenceStore
      extends PresenceStore
      implements JsonSerializationHelper.Serializable

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceStore

      `bestPresence, handler, presenceByJid, presencesMapByBareJid`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GWTPresenceStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Map<String,Presence>` | `createResourcePresenceMap()`
    `Object` | `fromJSON(JsonSerializationHelper helper, com.google.gwt.core.client.JavaScriptObject obj)`
    `String` | `getJsonType()`
    `com.google.gwt.core.client.JavaScriptObject` | `toJSON()`

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.presence.PresenceStore

      `clear, getBestPresence, getPresence, getPresences, getPropertyClass, isAvailable, setPresence, update, updateBestPresence`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GWTPresenceStore

          public GWTPresenceStore()

  - ### Method Detail

    - #### createResourcePresenceMap

          protected Map<String,Presence> createResourcePresenceMap()

      Specified by:
        `createResourcePresenceMap` in class `PresenceStore`

    - #### fromJSON

          public Object fromJSON(JsonSerializationHelper helper,
                                 com.google.gwt.core.client.JavaScriptObject obj)
                          throws JaxmppException

      Specified by:
        `fromJSON` in interface `JsonSerializationHelper.Serializable`
      Throws:
        `JaxmppException`

    - #### getJsonType

          public String getJsonType()

      Specified by:
        `getJsonType` in interface `JsonSerializationHelper.Serializable`

    - #### toJSON

          public com.google.gwt.core.client.JavaScriptObject toJSON()
                                                             throws XMLException

      Specified by:
        `toJSON` in interface `JsonSerializationHelper.Serializable`
      Throws:
        `XMLException`

Copyright © 2006–2023 Tigase. All rights reserved.